"use strict";

var _compileRoutes = _interopRequireDefault(require("../compileRoutes"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

describe("compileRoutes", function () {
  it("should preserve arbitrary options", function () {
    var routes = (0, _compileRoutes.default)([{
      path: "/bar/",
      name: "bar",
      page: "Bar",
      sitemapGenerator: function sitemapGenerator() {}
    }, {
      path: "/baz/",
      name: "baz",
      page: "Baz"
    }]);
    expect(_typeof(routes[0].sitemapGenerator)).toEqual("function");
    expect(_typeof(routes[1].sitemapGenerator)).toEqual("undefined");
  });
});